## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%bcond_without tests

Name:		pepc
Version:	1.3.14
Release:	%autorelease
Summary:	Power, Energy, and Performance Configurator

License:	BSD-3-Clause
Url:		https://github.com/intel/pepc
Source0:	%url/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-devel
%if %{with tests}
BuildRequires:	python3-pytest
%endif
Requires:	python3-pepc = %{version}-%{release}

%description
Pepc stands for "Power, Energy, and Performance Configurator".
This is a command-line tool for configuring various Linux and Hardware 
power management features.

%package -n python3-%{name}
Summary:	Pepc Python libraries
Requires:	pepc = %{version}-%{release}

%description -n python3-%{name}
Pepc Python libraries

%prep
%autosetup -n %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pepclibs pepctool
install -pDm644 docs/man1/pepc.1 %{buildroot}/%{_mandir}/man1/pepc.1

%check
%if %{with tests}
%pytest -v
%endif

%files
%license LICENSE.md
%doc README.md
%{_bindir}/pepc
%{_mandir}/man1/pepc.1*

%files -n python3-%{name} -f %{pyproject_files}

%changelog
* Thu Aug 25 2022 aekoroglu <ali.erdinc.koroglu@intel.com> 1.3.14-1
- update to 1.3.14 (RHBZ #2117446)

* Wed Aug 03 2022 aekoroglu <ali.erdinc.koroglu@intel.com> 1.3.12-1
- update to 1.3.12 (RHBZ #2113139)

* Thu Jul 21 2022 aekoroglu <ali.erdinc.koroglu@intel.com> 1.3.11-1
- update to 1.3.11

* Wed Jul 06 2022 aekoroglu <ali.erdinc.koroglu@intel.com> 1.3.9-1
- initial commit
